RubyGems Navigation menu

rubocop 0.28.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.17.0 - June 15, 2021 (483 KB)
  2. 1.16.1 - June 09, 2021 (482 KB)
  3. 1.16.0 - June 01, 2021 (482 KB)
  4. 1.15.0 - May 17, 2021 (480 KB)
  5. 1.14.0 - May 05, 2021 (478 KB)
  6. 0.28.0 - December 10, 2014 (920 KB)
Show all versions (180 total)

Runtime Dependencies (5):

  • astrolabe ~> 1.3
  • parser < 3.0, >= 2.2.0.pre.7
  • powerpack ~> 0.0.6
  • rainbow < 3.0, >= 1.99.1
  • ruby-progressbar ~> 1.4
  • Development Dependencies (5):

  • bundler ~> 1.3
  • rake ~> 10.1
  • rspec ~> 3.0
  • simplecov ~> 0.7
  • yard ~> 0.8
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    8db05151c0af7fbb334d0326c587f6515380122a17ed726d0936dc16147cc41e

    Total downloads 164,450,090

    For this version 825,979

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 1.9.3

    Links: